# Display fiddle from Gist

## Gist files structure

```
fiddle.js
fiddle.html 
fiddle.css 
fiddle.manifest
```

| File name                 | Description                                                       |
| ------------------------- | ----------------------------------------------------------------- |
| **fiddle.\[js/html/css]** | Contains fiddle code for the specific panel                       |
| **fiddle.manifest**       | <p>YAML description of the Gist for JSFiddle to parse<br><br></p> |

### Manifest file example

```yaml
name: The Name of the Fiddle
description: Some description, please keep it in one line
authors:
  - John Doe
  - Jan Wisniewski
resources:
  - http://some.url.com/some/file.js
  - http://other.url.com/other_filename.css
normalize_css: no
wrap: b
panel_js: 1
panel_css: 1
```

{% hint style="info" %}
All  fields are optional.
{% endhint %}

### Manifest fields

* `panel_html` – Language for HTML panel. Accepts:
  * `0` – HTML
* `panel_css` – Language for CSS panel. Accepts:
  * `0` – CSS
  * `1` – SCSS
* `panel_js` – Language for the JS panel. Accepts:
  * `0` – JavaScript
  * `1` – CoffeeScript
  * `2` – JavaScript 1.7
* `resources` – List of external resources.
* `name` – Fiddle title
* `description` – Fiddle description
* `normalize_css` – Normalize CSS by loading normalize.css before any CSS declarations.
  * `yes` – normalize
  * `no` – don't normalize
* `wrap` – Set the JS code wrap. Options:
  * `l` – On load
  * `d` – On DOM ready
  *

| Field          | Description |
| -------------- | ----------- |
|                |             |
| name           |             |
| description    |             |
| normalize\_css |             |
| wrap           |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jsfiddle.net/github-integration/untitled.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
